org.springframework.data.relational.core.mapping.event

## Interface AfterDeleteCallback<T>

All Superinterfaces:
  EntityCallback<T>

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface AfterDeleteCallback<T>
    extends EntityCallback<T>

An `EntityCallback` that gets called after an aggregate got deleted. This callback gets only invoked if the method deleting the aggregate received an instance of that aggregate as an argument. Methods deleting entities by id or without any parameter don't invoke this callback.

Since:
  1.1
Author:
  Jens Schauder, Mark Paluch

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `onAfterDelete(T aggregate)` Entity callback method invoked after an aggregate root was deleted.

### Method Detail

#### onAfterDelete

    T onAfterDelete(T aggregate)

Entity callback method invoked after an aggregate root was deleted. Can return either the same or a modified instance of the aggregate object.

Parameters:
  `aggregate` - the aggregate that was deleted.
Returns:
  the aggregate that was deleted.